Debian Bug report logs - #289328
xserver-xfree86: [tdfx] want config option to let Voodoo Banshee users live dangerously, enabling DRI at large root window resolutions

Package: xserver-xorg-video-tdfx; Maintainer for xserver-xorg-video-tdfx is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-tdfx is src:xserver-xorg-video-tdfx.

Reported by: Fabien COUTANT <fcoutant@freesurf.fr>

Date: Sat, 8 Jan 2005 15:18:07 UTC

Severity: wishlist

Tags: upstream

Merged with 234388, 241452

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#289328; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Fabien COUTANT <fcoutant@freesurf.fr>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabien COUTANT <fcoutant@freesurf.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xfree86: DRI disabled despite it would work
Date: Sat, 8 Jan 2005 16:14:08 +0100
Subject: xserver-xfree86: DRI disabled despite it would work
Package: xserver-xfree86
Version: 4.3.0.dfsg.1-10
Severity: important

*** Please type your report below this line ***

I am in the process of configuring a new Sarge based Linux installation on
my personnal box, and hit a regression:
I was using a woody based install with a "backported" XFree86 4.3.0, and
DRI worked fine, e.g. with 3D acceleration (in glxinfo, glxgears, tuxracer
etc) in window mode at 1408x1056 resolution.
Now the server pretends he can't do it.  My hardware didn't change so the
problem is not hardware related (and I still can do accelerated 3D at that
resolution on my old woody install) => This must be a bug in the server,
that incorrectly disables DRI when it would actually work.
I work on 19-inch monitor and 1400x1050 is perfect for that size; Forcing
me to use 1024x768 to have accelerated 3D is unacceptable and would impact
negatively my work speed because of either halved work surface or very slow
3D software.


-- Package-specific info:
Contents of /var/lib/xfree86/X.roster:
xserver-xfree86

/etc/X11/X target unchanged from checksum in /var/lib/xfree86/X.md5sum.

X server symlink status:
lrwxrwxrwx  1 root root 20 2005-01-07 20:20 /etc/X11/X -> /usr/bin/X11/XFree86
-rwxr-xr-x  1 root root 1745740 2004-12-15 20:19 /usr/bin/X11/XFree86

Contents of /var/lib/xfree86/XF86Config-4.roster:
xserver-xfree86

VGA-compatible devices on PCI bus:
0000:01:05.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo Banshee (rev 03)

/etc/X11/XF86Config-4 does not match checksum in /var/lib/xfree86/XF86Config-4.md5sum.

XFree86 X server configuration file status:
-rw-r--r--  1 root root 3459 2005-01-07 21:31 /etc/X11/XF86Config-4

Contents of /etc/X11/XF86Config-4:
# XF86Config-4 (XFree86 X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the XF86Config-4 manual page.
# (Type "man XF86Config-4" at the shell prompt.)
#
# This file is automatically updated on xserver-xfree86 package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xfree86
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following commands as root:
#
#   cp /etc/X11/XF86Config-4 /etc/X11/XF86Config-4.custom
#   md5sum /etc/X11/XF86Config-4 >/var/lib/xfree86/XF86Config-4.md5sum
#   dpkg-reconfigure xserver-xfree86

Section "Files"
	FontPath	"unix/:7100"			# local font server
	# if the local font server has problems, we can fall back on these
	FontPath	"/usr/lib/X11/fonts/misc"
	FontPath	"/usr/lib/X11/fonts/cyrillic"
	FontPath	"/usr/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/Type1"
	FontPath	"/usr/lib/X11/fonts/CID"
	FontPath	"/usr/lib/X11/fonts/Speedo"
	FontPath	"/usr/lib/X11/fonts/100dpi"
	FontPath	"/usr/lib/X11/fonts/75dpi"
EndSection

Section "Module"
	Load	"GLcore"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"speedo"
	Load	"type1"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"keyboard"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xfree86"
	Option		"XkbModel"	"pc102"
	Option		"XkbLayout"	"fr"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"ZAxisMapping"		"4 5"
EndSection

Section "Device"
	Identifier	"3Dfx Interactive, Inc. Voodoo Banshee"
	Driver		"tdfx"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	HorizSync	30-96
	VertRefresh	75-100
	Option		"DPMS"

  # 1280x960 @ 90.00 Hz (GTF) hsync: 90.99 kHz; pclk: 158.69 MHz
  Modeline "1280x960"  158.69  1280 1376 1512 1744  960 961 964 1011  -HSync +Vsync

  # 1408x1056 @ 85.00 Hz (GTF) hsync: 94.27 kHz; pclk: 180.99 MHz
  Modeline "1408x1056"  180.99  1408 1512 1664 1920  1056 1057 1060 1109  -HSync +Vsync

EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"3Dfx Interactive, Inc. Voodoo Banshee"
	Monitor		"Generic Monitor"
	DefaultDepth	16
	SubSection "Display"
		Depth		1
		Modes		"1408x1056" "1280x960" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1408x1056" "1280x960" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1408x1056" "1280x960" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1408x1056" "1280x960" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1408x1056" "1280x960" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1408x1056" "1280x960" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection


XFree86 X server log files on system:
-rw-r--r--  1 root root 37626 2005-01-08 15:43 /var/log/XFree86.0.log

Contents of most recent XFree86 X server log file
/var/log/XFree86.0.log:

This is a pre-release version of XFree86, and is not supported in any
way.  Bugs may be reported to XFree86@XFree86.Org and patches submitted
to fixes@XFree86.Org.  Before reporting bugs in pre-release versions,
please check the latest version in the XFree86 CVS repository
(http://www.XFree86.Org/cvs).

XFree86 Version 4.3.0.1 (Debian 4.3.0.dfsg.1-8 20040928112350 fabbione@fabbione.net)
Release Date: 15 August 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.26 i686 [ELF] 
Build Date: 28 September 2004
	Before reporting problems, check http://www.XFree86.Org/
	to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.4.27-1-k7-smp (horms@tabatha.lab.ultramonkey.org) (gcc version 3.3.5 (Debian 1:3.3.5-2)) #1 SMP Wed Dec 1 20:19:10 JST 2004 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Sat Jan  8 14:32:22 2005
(==) Using config file: "/etc/X11/XF86Config-4"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "3Dfx Interactive, Inc. Voodoo Banshee"
(**) |-->Input Device "Generic Keyboard"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc102"
(**) XKB: model: "pc102"
(**) Option "XkbLayout" "fr"
(**) XKB: layout: "fr"
(==) Keyboard: CustomKeycode disabled
(**) |-->Input Device "Configured Mouse"
(WW) The directory "/usr/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/CID" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/100dpi" does not exist.
	Entry deleted from font path.
(**) FontPath set to "unix/:7100,/usr/lib/X11/fonts/misc,/usr/lib/X11/fonts/75dpi/:unscaled,/usr/lib/X11/fonts/Type1,/usr/lib/X11/fonts/Speedo,/usr/lib/X11/fonts/75dpi"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(++) using VT number 7

(WW) Open APM failed (/dev/apm_bios) (No such device)
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.2
	XFree86 Video Driver: 0.6
	XFree86 XInput driver : 0.4
	XFree86 Server Extension : 0.2
	XFree86 Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1022,700c card 0000,0000 rev 20 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1022,700d card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1022,7440 card 0000,0000 rev 05 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 1022,7441 card 1022,7441 rev 04 class 01,01,8a hdr 00
(II) PCI: 00:07:3: chip 1022,7443 card 1022,7443 rev 03 class 06,80,00 hdr 00
(II) PCI: 00:07:5: chip 1022,7445 card 0000,0000 rev 03 class 04,01,00 hdr 00
(II) PCI: 00:10:0: chip 1022,7448 card 0000,0000 rev 05 class 06,04,00 hdr 01
(II) PCI: 01:05:0: chip 121a,0003 card 1092,4803 rev 03 class 03,00,00 hdr 00
(II) PCI: 02:00:0: chip 1022,7449 card 0000,0000 rev 07 class 0c,03,10 hdr 00
(II) PCI: 02:04:0: chip 1000,0001 card 0000,0000 rev 12 class 01,00,00 hdr 00
(II) PCI: 02:05:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,2), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000e (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B]
	[1] -1	0	0x0000c400 - 0x0000c4ff (0x100) IX[B]
	[2] -1	0	0x0000c800 - 0x0000c8ff (0x100) IX[B]
	[3] -1	0	0x0000cc00 - 0x0000ccff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xf0000000 - 0xf3ffffff (0x4000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:16:0), (0,2,2), BCTRL: 0x0006 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[1] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[2] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[3] -1	0	0x0000dc00 - 0x0000dcff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xf6000000 - 0xf60fffff (0x100000) MX[B]
(--) PCI:*(1:5:0) 3Dfx Interactive, Inc. Voodoo Banshee rev 3, Mem @ 0xf0000000/25, 0xf4000000/25, I/O @ 0xc000/8
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe8000000 from 0xefffffff to 0xe7ffffff
(II) PCI Memory resource overlap reduced 0xf6100000 from 0xf6100fff to 0xf60fffff
(II) PCI I/O resource overlap reduced 0x0000ec00 from 0x0000ec03 to 0x0000ebff
(II) Active PCI resource ranges:
	[0] -1	0	0xf6002000 - 0xf60020ff (0x100) MX[B]
	[1] -1	0	0xf6001000 - 0xf60010ff (0x100) MX[B]
	[2] -1	0	0xf6000000 - 0xf6000fff (0x1000) MX[B]
	[3] -1	0	0xf6100000 - 0xf60fffff (0x0) MX[B]O
	[4] -1	0	0xe8000000 - 0xe7ffffff (0x0) MX[B]O
	[5] -1	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B](B)
	[6] -1	0	0xf0000000 - 0xf1ffffff (0x2000000) MX[B](B)
	[7] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[8] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[9] -1	0	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[10] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[11] -1	0	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[12] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
(II) Inactive PCI resource ranges:
	[0] -1	0	0x0000ec00 - 0x0000ebff (0x0) IX[B]O
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xf6002000 - 0xf60020ff (0x100) MX[B]
	[1] -1	0	0xf6001000 - 0xf60010ff (0x100) MX[B]
	[2] -1	0	0xf6000000 - 0xf6000fff (0x1000) MX[B]
	[3] -1	0	0xf6100000 - 0xf60fffff (0x0) MX[B]O
	[4] -1	0	0xe8000000 - 0xe7ffffff (0x0) MX[B]O
	[5] -1	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B](B)
	[6] -1	0	0xf0000000 - 0xf1ffffff (0x2000000) MX[B](B)
	[7] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[8] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[9] -1	0	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[10] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[11] -1	0	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[12] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
(II) Inactive PCI resource ranges after removing overlaps:
	[0] -1	0	0x0000ec00 - 0x0000ebff (0x0) IX[B]O
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xf6002000 - 0xf60020ff (0x100) MX[B]
	[6] -1	0	0xf6001000 - 0xf60010ff (0x100) MX[B]
	[7] -1	0	0xf6000000 - 0xf6000fff (0x1000) MX[B]
	[8] -1	0	0xf6100000 - 0xf60fffff (0x0) MX[B]O
	[9] -1	0	0xe8000000 - 0xe7ffffff (0x0) MX[B]O
	[10] -1	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B](B)
	[11] -1	0	0xf0000000 - 0xf1ffffff (0x2000000) MX[B](B)
	[12] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[13] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[14] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[15] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[16] -1	0	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[17] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[18] -1	0	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[19] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
	[20] -1	0	0x0000ec00 - 0x0000ebff (0x0) IX[B]O
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_clip.o":  No symbols found
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_norm.o":  No symbols found
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_xform.o":  No symbols found
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_vertex.o":  No symbols found
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) LoadModule: "bitmap"
(II) Reloading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Loading font Bitmap
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 2.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "speedo"
(II) Loading /usr/X11R6/lib/modules/fonts/libspeedo.a
Skipping "/usr/X11R6/lib/modules/fonts/libspeedo.a:spencode.o":  No symbols found
(II) Module speedo: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.1
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Speedo
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.1.0
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "tdfx"
(II) Loading /usr/X11R6/lib/modules/drivers/tdfx_drv.o
(II) Module tdfx: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.4
(II) TDFX: Driver for 3dfx Banshee/Voodoo3 chipsets: 3dfx Banshee,
	3dfx Voodoo3, 3dfx Voodoo5
(II) Primary Device is: PCI 01:05:0
(--) Assigning device section with no busID to primary device
(--) Chipset 3dfx Banshee found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xf6002000 - 0xf60020ff (0x100) MX[B]
	[6] -1	0	0xf6001000 - 0xf60010ff (0x100) MX[B]
	[7] -1	0	0xf6000000 - 0xf6000fff (0x1000) MX[B]
	[8] -1	0	0xf6100000 - 0xf60fffff (0x0) MX[B]O
	[9] -1	0	0xe8000000 - 0xe7ffffff (0x0) MX[B]O
	[10] -1	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B](B)
	[11] -1	0	0xf0000000 - 0xf1ffffff (0x2000000) MX[B](B)
	[12] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[13] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[14] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[15] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[16] -1	0	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[17] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[18] -1	0	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[19] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
	[20] -1	0	0x0000ec00 - 0x0000ebff (0x0) IX[B]O
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xf6002000 - 0xf60020ff (0x100) MX[B]
	[6] -1	0	0xf6001000 - 0xf60010ff (0x100) MX[B]
	[7] -1	0	0xf6000000 - 0xf6000fff (0x1000) MX[B]
	[8] -1	0	0xf6100000 - 0xf60fffff (0x0) MX[B]O
	[9] -1	0	0xe8000000 - 0xe7ffffff (0x0) MX[B]O
	[10] -1	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B](B)
	[11] -1	0	0xf0000000 - 0xf1ffffff (0x2000000) MX[B](B)
	[12] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[13] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[14] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[15] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[18] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[19] -1	0	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[20] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[21] -1	0	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[22] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
	[23] -1	0	0x0000ec00 - 0x0000ebff (0x0) IX[B]O
	[24] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[25] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(0): Softbooting the board (through the int10 interface).
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): Softbooting the board succeeded.
(II) TDFX(0): TDFXFindChips: found 1 chip(s)
(**) TDFX(0): Depth 16, (--) framebuffer bpp 16
(==) TDFX(0): RGB weight 565
(==) TDFX(0): Default visual is TrueColor
(--) TDFX(0): Chipset: "3dfx Banshee"
(--) TDFX(0): Linear framebuffer at 0xF4000000
(--) TDFX(0): MMIO registers at addr 0xF0000000
(--) TDFX(0): PIO registers at addr 0xC000
(II) TDFX(0): DRAMINIT1 read 0x284031, programming 0x202031 (not Banshee)
(II) TDFX(0): TDFXInitChips: numchips = 1
(II) TDFX(0): TDFXInitChips: cfgbits = 0x00000000, initbits = 0x00000001
(II) TDFX(0): TDFXInitChips: mem0base = 0xf0000000, mem1base = 0xf4000008
(II) TDFX(0): TDFXInitChips: mem0size = 0x02000000, mem1size = 0x02000000
(II) TDFX(0): TDFXInitChips: mem0bits = 0x00000005, mem1bits = 0x00000050
(II) TDFX(0): TDFXInitChips: cfgbits = 0x00000055
(II) TDFX(0): TDFXInitChips: MMIOAddr[0] = 0xf0000000
(II) TDFX(0): TDFXInitChips: LinearAddr[0] = 0xf4000008
(--) TDFX(0): VideoRAM: 16384 kByte Mapping 32768 kByte
(==) TDFX(0): Using gamma correction (1.0, 1.0, 1.0)
(II) TDFX(0): Generic Monitor: Using hsync range of 30.00-96.00 kHz
(II) TDFX(0): Generic Monitor: Using vrefresh range of 75.00-100.00 Hz
(II) TDFX(0): Clock range:  12.00 to 270.00 MHz
(II) TDFX(0): Not using default mode "640x480" (vrefresh out of range)
(II) TDFX(0): Not using default mode "320x240" (vrefresh out of range)
(II) TDFX(0): Not using default mode "640x480" (vrefresh out of range)
(II) TDFX(0): Not using default mode "320x240" (vrefresh out of range)
(II) TDFX(0): Not using default mode "800x600" (vrefresh out of range)
(II) TDFX(0): Not using default mode "400x300" (vrefresh out of range)
(II) TDFX(0): Not using default mode "800x600" (vrefresh out of range)
(II) TDFX(0): Not using default mode "400x300" (vrefresh out of range)
(II) TDFX(0): Not using default mode "800x600" (vrefresh out of range)
(II) TDFX(0): Not using default mode "400x300" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "1024x768" (vrefresh out of range)
(II) TDFX(0): Not using default mode "512x384" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1024x768" (vrefresh out of range)
(II) TDFX(0): Not using default mode "512x384" (vrefresh out of range)
(II) TDFX(0): Not using default mode "640x480" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) TDFX(0): Not using default mode "640x512" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) TDFX(0): Not using default mode "800x600" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) TDFX(0): Not using default mode "800x600" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) TDFX(0): Not using default mode "800x600" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1600x1200" (hsync out of range)
(II) TDFX(0): Not using default mode "800x600" (hsync out of range)
(II) TDFX(0): Not using default mode "1792x1344" (vrefresh out of range)
(II) TDFX(0): Not using default mode "896x672" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1792x1344" (hsync out of range)
(II) TDFX(0): Not using default mode "896x672" (hsync out of range)
(II) TDFX(0): Not using default mode "1856x1392" (vrefresh out of range)
(II) TDFX(0): Not using default mode "928x696" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1856x1392" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "928x696" (hsync out of range)
(II) TDFX(0): Not using default mode "1920x1440" (vrefresh out of range)
(II) TDFX(0): Not using default mode "960x720" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1920x1440" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "960x720" (hsync out of range)
(II) TDFX(0): Not using default mode "1152x768" (vrefresh out of range)
(II) TDFX(0): Not using default mode "576x384" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) TDFX(0): Not using default mode "700x525" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1400x1050" (unknown reason)
(II) TDFX(0): Not using default mode "1600x1024" (vrefresh out of range)
(II) TDFX(0): Not using default mode "800x512" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1920x1440" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "960x720" (hsync out of range)
(II) TDFX(0): Not using default mode "2048x1536" (vrefresh out of range)
(II) TDFX(0): Not using default mode "1024x768" (vrefresh out of range)
(II) TDFX(0): Not using default mode "2048x1536" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "1024x768" (hsync out of range)
(II) TDFX(0): Not using default mode "2048x1536" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "1024x768" (hsync out of range)
(II) TDFX(0): Not using default mode "1600x1200" (width too large for virtual size)
(--) TDFX(0): Virtual size is 1408x1056 (pitch 1408)
(**) TDFX(0): *Mode "1408x1056": 181.0 MHz, 94.3 kHz, 85.0 Hz
(II) TDFX(0): Modeline "1408x1056"  180.99  1408 1512 1664 1920  1056 1057 1060 1109 -hsync +vsync
(**) TDFX(0): *Mode "1280x960": 158.7 MHz, 91.0 kHz, 90.0 Hz
(II) TDFX(0): Modeline "1280x960"  158.69  1280 1376 1512 1744  960 961 964 1011 -hsync +vsync
(**) TDFX(0): *Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(II) TDFX(0): Modeline "1152x864"  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync
(**) TDFX(0): *Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) TDFX(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808 +hsync +vsync
(**) TDFX(0): *Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) TDFX(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync
(**) TDFX(0): *Default mode "640x480": 74.2 MHz, 85.9 kHz, 85.1 Hz (D)
(II) TDFX(0): Modeline "640x480"   74.25  640 672 752 864  480 480 482 505 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(II) TDFX(0): Modeline "1280x1024"  157.50  1280 1344 1504 1728  1024 1025 1028 1072 +hsync +vsync
(**) TDFX(0):  Default mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
(II) TDFX(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync
(**) TDFX(0):  Default mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(II) TDFX(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(**) TDFX(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) TDFX(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync
(**) TDFX(0):  Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) TDFX(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(**) TDFX(0):  Default mode "800x600": 101.2 MHz, 93.8 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "800x600"  101.25  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "700x525": 77.9 MHz, 81.5 kHz, 74.8 Hz (D)
(II) TDFX(0): Modeline "700x525"   77.90  700 732 892 956  525 526 532 545 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x512": 78.8 MHz, 91.1 kHz, 85.0 Hz (D)
(II) TDFX(0): Modeline "640x512"   78.75  640 672 752 864  512 512 514 536 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x512": 67.5 MHz, 80.0 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "640x512"   67.50  640 648 720 844  512 512 514 533 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) TDFX(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509 -hsync -vsync
(**) TDFX(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) TDFX(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(**) TDFX(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
(II) TDFX(0): Modeline "720x400"   35.50  720 756 828 936  400 401 404 446 -hsync +vsync
(**) TDFX(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) TDFX(0): Modeline "640x400"   31.50  640 672 736 832  400 401 404 445 -hsync +vsync
(**) TDFX(0):  Default mode "576x432": 54.0 MHz, 67.5 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "576x432"   54.00  576 608 672 800  432 432 434 450 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) TDFX(0): Modeline "640x350"   31.50  640 672 736 832  350 382 385 445 +hsync -vsync
(**) TDFX(0):  Default mode "512x384": 47.2 MHz, 68.7 kHz, 85.0 Hz (D)
(II) TDFX(0): Modeline "512x384"   47.25  512 536 584 688  384 384 386 404 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "512x384": 39.4 MHz, 60.1 kHz, 75.1 Hz (D)
(II) TDFX(0): Modeline "512x384"   39.40  512 520 568 656  384 384 386 400 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "416x312": 28.6 MHz, 49.7 kHz, 74.7 Hz (D)
(II) TDFX(0): Modeline "416x312"   28.64  416 432 464 576  312 312 314 333 doublescan -hsync -vsync
(**) TDFX(0):  Default mode "400x300": 28.1 MHz, 53.7 kHz, 85.3 Hz (D)
(II) TDFX(0): Modeline "400x300"   28.15  400 416 448 524  300 300 302 315 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "400x300": 24.8 MHz, 46.9 kHz, 75.1 Hz (D)
(II) TDFX(0): Modeline "400x300"   24.75  400 408 448 528  300 300 302 312 doublescan +hsync +vsync
(**) TDFX(0):  Default mode "320x240": 18.0 MHz, 43.3 kHz, 85.2 Hz (D)
(II) TDFX(0): Modeline "320x240"   18.00  320 348 376 416  240 240 242 254 doublescan -hsync -vsync
(**) TDFX(0):  Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "320x240"   15.75  320 328 360 420  240 240 242 250 doublescan -hsync -vsync
(**) TDFX(0):  Default mode "360x200": 17.8 MHz, 37.9 kHz, 85.0 Hz (D)
(II) TDFX(0): Modeline "360x200"   17.75  360 378 414 468  200 200 202 223 doublescan -hsync +vsync
(**) TDFX(0):  Default mode "320x200": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) TDFX(0): Modeline "320x200"   15.75  320 336 368 416  200 200 202 222 doublescan -hsync +vsync
(**) TDFX(0):  Default mode "320x175": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) TDFX(0): Modeline "320x175"   15.75  320 336 368 416  175 191 192 222 doublescan +hsync -vsync
(==) TDFX(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.2
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.1.0
	ABI class: XFree86 Video Driver, version 0.6
(**) TDFX(0): ShowCache Disabled
(**) TDFX(0): video key default 0x1e
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Reloading /usr/X11R6/lib/modules/libvbe.a
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(0): initializing int10
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): VESA BIOS detected
(II) TDFX(0): VESA VBE Version 3.0
(II) TDFX(0): VESA VBE Total Mem: 16384 kB
(II) TDFX(0): VESA VBE OEM: 3Dfx Interactive, Inc.
(II) TDFX(0): VESA VBE OEM Software Rev: 1.0
(II) TDFX(0): VESA VBE OEM Vendor: Elpin Systems, Inc.
(II) TDFX(0): VESA VBE OEM Product: 3Dfx Banshee
(II) TDFX(0): VESA VBE OEM Product Rev: Version 1.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) TDFX(0): VESA VBE DDC supported
(II) TDFX(0): VESA VBE DDC Level 2
(II) TDFX(0): VESA VBE DDC transfer in appr. 8 sec.
(II) TDFX(0): VESA VBE DDC read successfully
(II) TDFX(0): Manufacturer: MAX  Model: 76f  Serial#: 18401055
(II) TDFX(0): Year: 2004  Week: 38
(II) TDFX(0): EDID Version: 1.3
(II) TDFX(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) TDFX(0): Sync:  Separate  Composite
(II) TDFX(0): Max H-Image Size [cm]: horiz.: 36  vert.: 27
(II) TDFX(0): Gamma: 2.20
(II) TDFX(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) TDFX(0): redX: 0.638 redY: 0.325   greenX: 0.276 greenY: 0.596
(II) TDFX(0): blueX: 0.143 blueY: 0.066   whiteX: 0.283 whiteY: 0.297
(II) TDFX(0): Supported VESA Video Modes:
(II) TDFX(0): 720x400@70Hz
(II) TDFX(0): 640x480@60Hz
(II) TDFX(0): 640x480@75Hz
(II) TDFX(0): 800x600@75Hz
(II) TDFX(0): 1024x768@75Hz
(II) TDFX(0): 1280x1024@75Hz
(II) TDFX(0): Manufacturer's mask: 0
(II) TDFX(0): Supported Future Video Modes:
(II) TDFX(0): #0: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) TDFX(0): #1: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) TDFX(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) TDFX(0): #3: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) TDFX(0): #4: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) TDFX(0): Supported additional Video Mode:
(II) TDFX(0): clock: 110.0 MHz   Image Size:  366 x 274 mm
(II) TDFX(0): h_active: 1024  h_sync: 1056  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) TDFX(0): v_active: 768  v_sync: 771  v_sync_end 774 v_blanking: 812 v_border: 0
(II) TDFX(0): Ranges: V min: 50  V max: 150 Hz, H min: 30  H max: 96 kHz, PixClock max 2550 MHz
(II) TDFX(0): Monitor name: Belinea
(II) TDFX(0): Monitor name: 106075
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B]
	[1] 0	0	0xf0000000 - 0xf1ffffff (0x2000000) MX[B]
	[2] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0	0xf6002000 - 0xf60020ff (0x100) MX[B]
	[8] -1	0	0xf6001000 - 0xf60010ff (0x100) MX[B]
	[9] -1	0	0xf6000000 - 0xf6000fff (0x1000) MX[B]
	[10] -1	0	0xf6100000 - 0xf60fffff (0x0) MX[B]O
	[11] -1	0	0xe8000000 - 0xe7ffffff (0x0) MX[B]O
	[12] -1	0	0xf4000000 - 0xf5ffffff (0x2000000) MX[B](B)
	[13] -1	0	0xf0000000 - 0xf1ffffff (0x2000000) MX[B](B)
	[14] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[15] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[16] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[17] 0	0	0x0000c000 - 0x0000c0ff (0x100) IX[B]
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[21] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[22] -1	0	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[23] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[24] -1	0	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[25] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
	[26] -1	0	0x0000ec00 - 0x0000ebff (0x0) IX[B]O
	[27] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprD)
	[28] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprD)
(==) TDFX(0): Write-combining range (0xf4000000,0x2000000)
(II) TDFX(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0xbd00
(II) TDFX(0): Changing back offset from 0x00a53000 to 0x00a52000
(II) TDFX(0): Textures Memory 6.57 MB
(II) TDFX(0): Cursor Offset: [0x00000000,0x00001000)
(II) TDFX(0): Fifo Offset: [0x00001000, 0x00041000)
(II) TDFX(0): Front Buffer Offset: [0x00041000, 0x003C0200)
(II) TDFX(0): Texture Offset: [0x003C0200, 0x00A52000)
(II) TDFX(0): BackOffset: [0x00A52000, 0x00D28000)
(II) TDFX(0): DepthOffset: [0x00D29000, 0x00FFF000)
(II) TDFX(0): Minimum 246, Maximum 991 lines of offscreen memory available
(II) TDFX(0): [dri] VideoRAM = 16384, VirtualXres = 1408, VirtualYres= 1056,
(WW) TDFX(0): [dri] To use DRI, with a 16Mb Voodoo 3 or Banshee card, you must
	invoke the server using a maximum resolution of 1024x768 or lower.
(II) TDFX(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Dashed Lines
	Offscreen Pixmaps
	Driver provided NonTEGlyphRenderer replacement
	Setting up tile and stipple cache:
		32 128x128 slots
		11 256x256 slots
(==) TDFX(0): Backing store disabled
(==) TDFX(0): Silken mouse enabled
(**) Option "dpms"
(**) TDFX(0): DPMS enabled
(==) TDFX(0): Direct rendering disabled
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Keyboard "Generic Keyboard" handled by legacy driver
(**) Option "Protocol" "ImPS/2"
(**) Configured Mouse: Protocol: "ImPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 5
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) Configured Mouse: ps2EnableDataReporting: succeeded
Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0
Could not init font path element unix/:7100, removing from list!
SetClientVersion: 0 8
SetClientVersion: 0 8
(II) 3rd Button detected: disabling emulate3Button
(WW) Open APM failed (/dev/apm_bios) (No such device)
(==) TDFX(0): Write-combining range (0xf4000000,0x2000000)
(II) TDFX(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0xbd00
(II) TDFX(0): Changing back offset from 0x00a53000 to 0x00a52000
(II) TDFX(0): Textures Memory 6.57 MB
(II) TDFX(0): Cursor Offset: [0x00000000,0x00001000)
(II) TDFX(0): Fifo Offset: [0x00001000, 0x00041000)
(II) TDFX(0): Front Buffer Offset: [0x00041000, 0x003C0200)
(II) TDFX(0): Texture Offset: [0x003C0200, 0x00A52000)
(II) TDFX(0): BackOffset: [0x00A52000, 0x00D28000)
(II) TDFX(0): DepthOffset: [0x00D29000, 0x00FFF000)
(II) TDFX(0): Minimum 246, Maximum 991 lines of offscreen memory available
(II) TDFX(0): [dri] VideoRAM = 16384, VirtualXres = 1408, VirtualYres= 1056,
(WW) TDFX(0): [dri] To use DRI, with a 16Mb Voodoo 3 or Banshee card, you must
	invoke the server using a maximum resolution of 1024x768 or lower.
(**) TDFX(0): DPMS enabled
(==) TDFX(0): Direct rendering disabled
(==) RandR enabled
(II) Configured Mouse: ps2EnableDataReporting: succeeded
Could not init font path element unix/:7100, removing from list!
SetClientVersion: 0 8
SetClientVersion: 0 8


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.27-1-k7-smp
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages xserver-xfree86 depends on:
ii  debconf [debconf-2.0]    1.4.30.11       Debian configuration management sy
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libgcc1                  1:3.4.3-6       GCC support library
ii  xserver-common           4.3.0.dfsg.1-10 files and utilities common to all 
ii  zlib1g                   1:1.2.2-3       compression library - runtime

-- debconf information:
  xserver-xfree86/config/device/identifier: 3Dfx Interactive, Inc. Voodoo Banshee
  xserver-xfree86/config/monitor/screen-size: 17 inches (430 mm)
  xserver-xfree86/config/device/use_fbdev:
* xserver-xfree86/config/monitor/selection-method: Advanced
  xserver-xfree86/config/doublequote_in_string_error:
  shared/default-x-server: xserver-xfree86
  xserver-xfree86/config/inputdevice/mouse/emulate3buttons: true
  xserver-xfree86/config/device/bus_id:
* xserver-xfree86/config/inputdevice/keyboard/layout: fr
* xserver-xfree86/config/monitor/horiz-sync: 30-96
  xserver-xfree86/config/monitor/identifier: Generic Monitor
  shared/no_known_x-server:
  xserver-xfree86/autodetect_mouse: true
  xserver-xfree86/config/device/video_ram:
  xserver-xfree86/config/monitor/mode-list: 1280x960 @ 60Hz
* xserver-xfree86/config/monitor/lcd: false
  xserver-xfree86/config/inputdevice/keyboard/internal:
* xserver-xfree86/config/inputdevice/keyboard/rules: xfree86
  xserver-xfree86/multiple_possible_x-drivers:
* xserver-xfree86/config/inputdevice/keyboard/model: pc102
  xserver-xfree86/config/write_dri_section: true
* xserver-xfree86/config/device/driver: tdfx
* xserver-xfree86/config/monitor/vert-refresh: 75-100
* xserver-xfree86/config/display/default_depth: 16
  xserver-xfree86/config/inputdevice/mouse/zaxismapping: true
* xserver-xfree86/config/display/modes: 1280x960, 1152x864, 1024x768, 800x600, 640x480
  xserver-xfree86/config/device/bus_id_error:
  xserver-xfree86/config/modules: GLcore, bitmap, dbe, ddc, dri, extmod, freetype, glx, int10, record, speedo, type1, vbe
* xserver-xfree86/config/inputdevice/keyboard/options:
  xserver-xfree86/config/nonnumeric_string_error:
  xserver-xfree86/config/inputdevice/mouse/protocol: ImPS/2
  shared/multiple_possible_x-servers:
  xserver-xfree86/config/null_string_error:
  xserver-xfree86/config/monitor/range_input_error:
* xserver-xfree86/autodetect_video_card: true
* xserver-xfree86/config/inputdevice/keyboard/variant:
* xserver-xfree86/config/inputdevice/mouse/port: /dev/input/mice
  xserver-xfree86/config/write_files_section: true
  xserver-xfree86/autodetect_monitor: true



Message sent on to Fabien COUTANT <fcoutant@freesurf.fr>:
Bug#289328. Full text and rfc822 format available.

Message #8 received at 289328-submitter@bugs.debian.org (full text, mbox):

From: browaeys.alban@wanadoo.fr
To: 289328-submitter@bugs.debian.org
Subject: Re: Bug #289328 - xserver-xfree86: DRI disabled despite it would work
Date: Sun, 13 Feb 2005 00:19:08 +0100
I am not part of the X strike force, though i debug X
configurations for quite some time.

Would you mind providing seom more details ?

From your report in the bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289328
i saw an error message:

(II) TDFX(0): [dri] VideoRAM = 16384, VirtualXres = 1408, VirtualYres= 1056,
(WW) TDFX(0): [dri] To use DRI, with a 16Mb Voodoo 3 or Banshee card, you must
  invoke the server using a maximum resolution of 1024x768 or lower.

Is your card really a 16MB ? If not can you trying
Option "VideoRam" "your_ram_size"
in XF86Config-4 device section .

If you still have a log of one of the X session with DRI at high
resolution , could you send it .

Your kernel version , the agp aperture size could help too.
$ uname -a
$ grep AGP /var/log/messages


There may be an issue with the driver, i find :
(II) TDFX(0): TDFXFindChips: found 1 chip(s)
(**) TDFX(0): Depth 16, (--) framebuffer bpp 16
(==) TDFX(0): RGB weight 565
(==) TDFX(0): Default visual is TrueColor
(--) TDFX(0): Chipset: "3dfx Banshee"
(--) TDFX(0): Linear framebuffer at 0xF4000000
(--) TDFX(0): MMIO registers at addr 0xF0000000
(--) TDFX(0): PIO registers at addr 0xC000
(II) TDFX(0): DRAMINIT1 read 0x284031, programming 0x202031 (not Banshee)
							      ^^^
(II) TDFX(0): TDFXInitChips: numchips = 1
(II) TDFX(0): TDFXInitChips: cfgbits = 0x00000000, initbits = 0x00000001
(II) TDFX(0): TDFXInitChips: mem0base = 0xf0000000, mem1base = 0xf4000008
(II) TDFX(0): TDFXInitChips: mem0size = 0x02000000, mem1size = 0x02000000
(II) TDFX(0): TDFXInitChips: mem0bits = 0x00000005, mem1bits = 0x00000050
(II) TDFX(0): TDFXInitChips: cfgbits = 0x00000055
(II) TDFX(0): TDFXInitChips: MMIOAddr[0] = 0xf0000000
(II) TDFX(0): TDFXInitChips: LinearAddr[0] = 0xf4000008
(--) TDFX(0): VideoRAM: 16384 kByte Mapping 32768 kByte

awkward as it is obviously a banshee. 

Regards
Alban




Information stored:
Bug#289328; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Fabien COUTANT <fcoutant@freesurf.fr>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 289328-quiet@bugs.debian.org (full text, mbox):

From: Fabien COUTANT <fcoutant@freesurf.fr>
To: browaeys.alban@wanadoo.fr, 289328-quiet@bugs.debian.org
Subject: Re: Bug#289328: Bug #289328 - xserver-xfree86: DRI disabled despite it would work
Date: Sun, 13 Feb 2005 08:47:27 +0100
On Sunday, 13 February 2005, you (browaeys.alban@wanadoo.fr) wrote:
> Would you mind providing seom more details ?
of course, here we go...

> i saw an error message:
> 
> (II) TDFX(0): [dri] VideoRAM = 16384, VirtualXres = 1408, VirtualYres= 1056,
> (WW) TDFX(0): [dri] To use DRI, with a 16Mb Voodoo 3 or Banshee card, you must
>   invoke the server using a maximum resolution of 1024x768 or lower.
> 
> Is your card really a 16MB ? If not can you trying
> Option "VideoRam" "your_ram_size"
> in XF86Config-4 device section .

It really has 16MB (and always had ;)

> If you still have a log of one of the X session with DRI at high
> resolution , could you send it .

Sad... I've now replaced my woody by a sarge and can't reproduce it any
more...  and have no backup, only packages CDs :(
If that's very important I could try to extract into sarge and run the X
server I used on woody, switch the graphic cards and make a run to get a
log, but that's a quite heavy manipulation

> Your kernel version , the agp aperture size could help too.
> $ uname -a

Linux harris 2.4.27-1-k7-smp #1 SMP Wed Dec 1 20:19:10 JST 2004 i686 GNU/Linux
(NB: was already reported in original /var/log/XFree86.0.log)

I'm running a bi-AthlonMP, maybe some AMD/3Dnow specific code is triggered
and bugs things...

> $ grep AGP /var/log/messages

!!!WARNING!!! ok to provide this, but it is probably not significant since
I'm now running with another graphics card (a Radeon).

Feb  1 06:53:47 harris kernel: agpgart: AGP aperture is 128M @ 0xe0000000
Feb  1 06:54:04 harris kernel: [drm] AGP 0.99 Aperture @ 0xe0000000 128MB


> There may be an issue with the driver, i find :
> (II) TDFX(0): DRAMINIT1 read 0x284031, programming 0x202031 (not Banshee)
> 							      ^^^
> awkward as it is obviously a banshee. 

Yes.  And not sure but I seem to remember it was already here when it
worked.  It's a Diamond "Monster Fusion", maybe the vendor tweaked RAM
timings to improve speed or stability ?

-- 
Hope this helps,
Fabien.



Message sent on to Fabien COUTANT <fcoutant@freesurf.fr>:
Bug#289328. Full text and rfc822 format available.

Message #16 received at 289328-submitter@bugs.debian.org (full text, mbox):

From: browaeys.alban@wanadoo.fr
To: 289328-submitter@bugs.debian.org
Subject: Re: #289328 - xserver-xfree86: DRI disabled despite it would work
Date: Sun, 20 Feb 2005 20:43:44 +0100
You are right they did that to improve stability :
https://www.redhat.com/archives/valhalla-list/2002-June/msg01884.html


Extract:
"This is correct. I have discussed this with Red Hat's X maintainer, Mike Harris.
This is specifically from the authors of the TDFX driver. Previously it (DRI)
was allowed in higher resolutions, but too many crashes and problems arose, so
now it is limited to the supported resolution.

Jesse Keating"


Though from my understanding of the diamond monster fusion it is a
specific banshee tweaked for higher resolution 3D ... so it
should be stable at 1280x1024 with it (or maybe it was in the
diamond driver more than in the hardware).


I have no contact with xfree (or xorg) upstream. I was only
trying to add enough information to the report for it to be
closed, fixed or forwarded upstream.

I feel there are enough now (especially the specific type of the
card a tweaked banshee). I guess it is a Diamond Monster Fusion Z100 AGP
16MB SDRAM. What is meanly missing is someone knowing if the telling that this card is meant to support more is more thatn marketing hype, and if a new option could be added to the tdfx driver to enable higher resolution with DRI even if it may crash the driver when used in fullscreen , for those that want to work in window mode at high resolution . The best would be a runtime check :)
That is either a wishlist (add an option to the tdfx driver) or a wontfix ...

I also explained a hack that may help get it working at high resolution on sarge with current debian xfree ... not for the faint of heart :->
There are no problems with your hardware , no need to return to woody. But could you test someday with this Videoram option tweack on sarge with your Diamond Monster  and send us the /var/log/XFree.0/log file !



I found a few reports about similar request as yours:
http://lists.netisland.net/archives/plug/plug-1999-12/msg00165.html
and the above redhat one .




to the maintainers: the tdfx man page is a little light ... the
current xfree one has a few more infos on specific
tdfx configurations:
http://www.xfree86.org/current/tdfx.4.html  
http://wiki.x.org/X11R6.8.0/doc/tdfx.4.html

I found the offending patch there:
http://dev.gentoo.org/~spyderous/xorg-x11/patchsets/6.8.1.901/patch/5850_all_4.2.0-tdfx-disable-dri-on-16Mb-cards-in-hires.patch
--- xc/programs/Xserver/hw/xfree86/drivers/tdfx/tdfx_dri.c.tdfx-disable-dri-on-16Mb-cards-in-hires	Mon May 21 17:43:55 2001
+++ xc/programs/Xserver/hw/xfree86/drivers/tdfx/tdfx_dri.c	Sun Mar 10 20:50:46 2002
@@ -293,6 +293,22 @@
     return FALSE;
   }
 
+  /* Disable DRI if using a 16Mb card with virtual resolution higher than
+   * 1024x768 because DRI does not have enough memory available for textures
+   * at higher resolutions, and will not operate correctly.
+   */
+  xf86DrvMsg(pScreen->myNum, X_INFO, "[dri] VideoRAM = %d, VirtualXres = %d, VirtualYres= %d,\n",
+             pScrn->videoRam, pScrn->virtualX, pScrn->virtualY);
+
+  if ( (pTDFX->ChipType == PCI_CHIP_VOODOO3) || (pTDFX->ChipType == PCI_CHIP_BANSHEE) ) {
+    if (pScrn->videoRam <= 16384 && ((pScrn->virtualX * pScrn->virtualY) > (1024 * 768)) ) {
+      xf86DrvMsg(pScreen->myNum, X_WARNING,
+        "[dri] To use DRI, with a 16Mb Voodoo 3 or Banshee card, you must\n"
+        "\tinvoke the server using a maximum resolution of 1024x768 or lower.\n");
+      return FALSE;
+    }
+  }
+  
     /* Check that the GLX, DRI, and DRM modules have been loaded by testing
        for canonical symbols in each module. */
     if (!xf86LoaderCheckSymbol("GlxSetVisualConfigs")) return FALSE;


so it seems you could cheat it by settings Videoram=16385 in X config. Not that i recommand it but it seems your type of banshee can handle 1280x1024 well , so if you want to force it there it is . I would have prefered an option for the tdfx driver to disable this test.
Though i would buy it for 1280 on a Monster Fusion, 1400 seems a little high for 16MB ram , if you mind a stable driver... window mode only may help but you may be better with your new card for such a setup.

Your banshee  card could be of some use , say for a personal rendering farm
http://chromium.sourceforge.net/doc/LLNLcopy.html :)


Cheers
Alban




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#289328; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to 289328@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 289328@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 289328@bugs.debian.org, control@bugs.debian.org
Subject: retitling and changing severity of 289328
Date: Tue, 29 Mar 2005 12:06:04 -0500
[Message part 1 (text/plain, inline)]
retitle 289328 xserver-xfree86: [tdfx] want config option to let Voodoo Banshee users live dangerously, enabling DRI at large root window resolutions
severity 298328 wishlist
tag 298328 + upstream
thanks

Per the discussion earlier in this bug, an option should be added to let
Voodoo Banshee users live dangerously.  There may exist some Diamond
Monster Fusion cards (based on the Voodoo Banshee chipset) that don't
exhibit stability problems, and some users may not actually attempt
full-screen DRI.

Patch #035 can be updated to include this functionality, as the existing
patch is not on the X.Org X11 CVS trunk as of today (2005-03-29).

035_tdfx_disable_dri_on_16mb_with_highres.diff

Implementation note: check to see if a "ForceDRI" option is really needed;
the regular "DRI" option's value as configured might be available, or it
might be set to its default value (on) and we won't know what the user said
in the config file at the point this code would execute.

-- 
G. Branden Robinson                |     You could wire up a dead rat to a
Debian GNU/Linux                   |     DIMM socket and the PC BIOS memory
branden@debian.org                 |     test would pass it just fine.
http://people.debian.org/~branden/ |     -- Ethan Benson
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#289328; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 289328@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: 289328@bugs.debian.org
Subject: Re: Bug#289328: retitling and changing severity of 289328
Date: Tue, 29 Mar 2005 13:37:48 -0500
On Tue, 2005-03-29 at 12:06 -0500, Branden Robinson wrote:
> 
> Implementation note: check to see if a "ForceDRI" option is really needed;
> the regular "DRI" option's value as configured might be available, or it
> might be set to its default value (on) and we won't know what the user said
> in the config file at the point this code would execute.

FWIW, you can tell for any option whether it was specified in the
configuration file or not.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#289328; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Tommi Virtanen <tv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 289328@bugs.debian.org (full text, mbox):

From: Tommi Virtanen <tv@debian.org>
To: "Debian X Strike Force (xserver-xfree86 #289328)" <debian-x@lists.debian.org>
Cc: 289328@bugs.debian.org, 298328@bugs.debian.org
Subject: Re: Processed: retitling and changing severity of 289328
Date: Sun, 10 Apr 2005 10:34:39 +0300
Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
>>retitle 289328 xserver-xfree86: [tdfx] want config option to let Voodoo Banshee users live dangerously, enabling DRI at large root window resolutions
> Bug#289328: xserver-xfree86: DRI disabled despite it would work
> Changed Bug title.
> 
>>severity 298328 wishlist
> Bug#298328: wmanager: FTBFS under non-C locale
> Severity set to `wishlist'.
> 
>>tag 298328 + upstream
> Bug#298328: wmanager: FTBFS under non-C locale
> There were no tags set.
> Tags added: upstream
> 
>>thanks
> Stopping processing here.

That seems like a typo. Care to fix your mess?

Also, please use the "package" command in the future.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#289328; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to 289328@bugs.debian.org, 298328@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 289328@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 289328@bugs.debian.org, 298328@bugs.debian.org, control@bugs.debian.org
Subject: Re: Processed: retitling and changing severity of 289328
Date: Tue, 12 Apr 2005 11:51:42 -0500
[Message part 1 (text/plain, inline)]
severity 298328 normal
tag 298328 - upstream
severity 289328 wishlist
tag 289328 + upstream
thanks

On Sun, Apr 10, 2005 at 10:34:39AM +0300, Tommi Virtanen wrote:
> That seems like a typo. Care to fix your mess?

Sorry.  Done.

Consider me spanked.

> Also, please use the "package" command in the future.

I generally don't because I maintain source packages that create multiple
binaries, and particularly in the case of xfree86, I need to reassign bugs
among the different binary packages.

What I really need is a "source" command, or a more general constraint
mechanism.  Please see
<URL: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=208130 > for more
information.

-- 
G. Branden Robinson                |     When I die I want to go peacefully
Debian GNU/Linux                   |     in my sleep like my ol' Grand
branden@debian.org                 |     Dad...not screaming in terror like
http://people.debian.org/~branden/ |     his passengers.
[signature.asc (application/pgp-signature, inline)]

Severity set to `wishlist'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xserver-xfree86' to `xserver-xorg-video-tdfx'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 24 Jul 2007 11:21:02 GMT) Full text and rfc822 format available.

Forcibly Merged 234388 241452 289328. Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Sat, 22 Dec 2007 13:24:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:45:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.